public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/redo/
Date: Sat, 24 Nov 2018 13:33:47 +0000 (UTC)	[thread overview]
Message-ID: <1543066424.0e363d178c8a85e655f75d9cfe8a0252b2ce0661.jer@gentoo> (raw)

commit:     0e363d178c8a85e655f75d9cfe8a0252b2ce0661
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 24 13:33:31 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Nov 24 13:33:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e363d17

dev-util/redo: Versions 0.31 99999

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 dev-util/redo/Manifest          |  1 +
 dev-util/redo/redo-0.31.ebuild  | 42 +++++++++++++++++++++++++++++++++++++++++
 dev-util/redo/redo-99999.ebuild | 41 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 84 insertions(+)

diff --git a/dev-util/redo/Manifest b/dev-util/redo/Manifest
index 003b5ce4511..91f1ab6984a 100644
--- a/dev-util/redo/Manifest
+++ b/dev-util/redo/Manifest
@@ -1 +1,2 @@
 DIST redo-0.21.tar.gz 87347 BLAKE2B 1d97f6b4f862e61f9074d0dd57293b3ab61a4f3f26781b242450bd1e194b941a8a169767739ddfffd0a8d721a95229637e8c6d9083d2c67d664b19551db0bc6d SHA512 8fe9ba0a5b0b4bf9073456a4b4fa7bebcb51ceb4fb06a16dd671fc48ba480f2ee4ba1eae48cebc3c15687de43833324eb6f98642843be71ab7aa2fe471ab7958
+DIST redo-0.31.tar.gz 105335 BLAKE2B 76171a4e7112c7478fcfe8d6f19ffb27660fa8566be3c2dded0026a993224731cdeb43c5cd7226b5537f69dc9de982e0dc9a95ade49809c93c81474879de8590 SHA512 c049a2eac7385813fe7ee8fb15f7b7de1fe1572071de91c8ebaca868d7b4ceec73d6433f1ba37b129ce7eda577c5823a5483ba69bf457cc3295d7fb9c23f42b2

diff --git a/dev-util/redo/redo-0.31.ebuild b/dev-util/redo/redo-0.31.ebuild
new file mode 100644
index 00000000000..751f2de294b
--- /dev/null
+++ b/dev-util/redo/redo-0.31.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+inherit multilib multiprocessing python-single-r1
+
+DESCRIPTION="Smaller, easier, more powerful, and more reliable than make"
+HOMEPAGE="https://github.com/apenwarr/redo"
+SRC_URI="${HOMEPAGE}/archive/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+DEPEND="
+	dev-python/beautifulsoup[${PYTHON_USEDEP}]
+	dev-python/markdown[${PYTHON_USEDEP}]
+"
+S=${WORKDIR}/${PN}-${P}
+
+src_compile() {
+	./redo -j$(makeopts_jobs) || die
+}
+
+src_test() {
+	./redo -j$(makeopts_jobs) test || die
+}
+
+src_install() {
+	DESTDIR="${D}" \
+	DOCDIR="${D}/usr/share/doc/${PF}" \
+	LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+	./redo -j$(makeopts_jobs) \
+		install || die
+
+	python_fix_shebang "${D}"
+
+	sed -i \
+		-e 's|/lib/|/'"$(get_libdir)"'/|g' \
+		"${D}"/usr/bin/* || die
+}

diff --git a/dev-util/redo/redo-99999.ebuild b/dev-util/redo/redo-99999.ebuild
new file mode 100644
index 00000000000..44c936cb530
--- /dev/null
+++ b/dev-util/redo/redo-99999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+inherit git-r3 multilib multiprocessing python-single-r1
+
+DESCRIPTION="Smaller, easier, more powerful, and more reliable than make"
+HOMEPAGE="https://github.com/apenwarr/redo"
+EGIT_REPO_URI="${HOMEPAGE}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS=""
+DEPEND="
+	dev-python/beautifulsoup[${PYTHON_USEDEP}]
+	dev-python/markdown[${PYTHON_USEDEP}]
+"
+
+src_compile() {
+	./redo -j$(makeopts_jobs) || die
+}
+
+src_test() {
+	./redo -j$(makeopts_jobs) test || die
+}
+
+src_install() {
+	DESTDIR="${D}" \
+	DOCDIR="${D}/usr/share/doc/${PF}" \
+	LIBDIR="${D}/usr/$(get_libdir)/${PN}" \
+	./redo -j$(makeopts_jobs) \
+		install || die
+
+	python_fix_shebang "${D}"
+
+	sed -i \
+		-e 's|/lib/|/'"$(get_libdir)"'/|g' \
+		"${D}"/usr/bin/* || die
+}


             reply	other threads:[~2018-11-24 13:33 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-24 13:33 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-06-23  5:35 [gentoo-commits] repo/gentoo:master commit in: dev-util/redo/ Sam James
2022-06-23  5:35 Sam James
2022-04-17 19:00 Sam James
2022-03-10 21:12 Sam James
2020-07-25 10:22 Michał Górny
2020-06-15  7:31 Jeroen Roovers
2020-03-22 10:09 Jeroen Roovers
2020-03-22 10:09 Jeroen Roovers
2020-02-09 16:25 Michał Górny
2019-12-22  9:48 Jeroen Roovers
2019-12-22  9:36 Jeroen Roovers
2019-12-22  9:36 Jeroen Roovers
2019-09-15  9:01 Jeroen Roovers
2019-08-13 16:13 Michał Górny
2019-08-12 19:52 Michał Górny
2019-07-26  4:46 Jeroen Roovers
2019-07-25  5:38 Jeroen Roovers
2019-06-19  7:31 Jeroen Roovers
2019-01-06 17:44 Jeroen Roovers
2019-01-06 17:44 Jeroen Roovers
2018-11-24 13:44 Jeroen Roovers
2018-11-03 14:04 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1543066424.0e363d178c8a85e655f75d9cfe8a0252b2ce0661.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox